These tests perform the following:

1. **Start and compile the application using `run.sh`.**
2. **Check idle resource usage (RAM, CPU).**
3. **Test all endpoints such as `/settings`.**
4. **Test all search types and measure response times:**
   - `/search?q=test&t=text`
   - `/search?q=test&t=image`
   - `/search?q=test&t=video`
   - `/search?q=test&t=forum`
   - `/search?q=test&t=map`
   - `/search?q=test&t=file`
5. **Check resource usage after searches (RAM, CPU).**
6. **Re-run all search types to test cache performance.**
7. **Test the suggestions API at `/suggestions?q=test`.**